Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.doc.html
Class content

    java.lang.Object
      |
      +--org.openorb.compiler.doc.html.content

public class content
extends java.lang.Object

This class is a container that includes all IDL parts

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:19 $
Author:
  Jerome Daniel

Field Summary
`java.util.Vector` | `_attribute` Attribute
`java.util.Vector` | `_const` Const
`java.util.Vector` | `_enum` Enum
`java.util.Vector` | `_exception` Exception
`java.util.Vector` | `_factory` Factory
`java.util.Vector` | `_interface` Interface
`java.util.Vector` | `_member` Value member
`java.util.Vector` | `_module` Module
`java.util.Vector` | `_native` Native
`java.util.Vector` | `_operation` Operation
`IdlObject[]` | `_sorted_attribute`
`IdlObject[]` | `_sorted_const`
`IdlObject[]` | `_sorted_enum`
`IdlObject[]` | `_sorted_exception`
`IdlObject[]` | `_sorted_factory`
`IdlObject[]` | `_sorted_interface`
`IdlObject[]` | `_sorted_member`
`IdlObject[]` | `_sorted_module`
`IdlObject[]` | `_sorted_native`
`IdlObject[]` | `_sorted_operation`
`IdlObject[]` | `_sorted_struct`
`IdlObject[]` | `_sorted_typedef`
`IdlObject[]` | `_sorted_union`
`IdlObject[]` | `_sorted_valuebox`
`IdlObject[]` | `_sorted_valuetype`
`java.util.Vector` | `_struct` Struct
`java.util.Vector` | `_typedef` TypeDef
`java.util.Vector` | `_union` Union
`java.util.Vector` | `_valuebox` Value Box
`java.util.Vector` | `_valuetype` Value Type

Constructor Summary
`content()` Constructor

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _module

    public java.util.Vector _module

  Module

### _sorted_module

    public IdlObject[] _sorted_module

### _interface

    public java.util.Vector _interface

  Interface

### _sorted_interface

    public IdlObject[] _sorted_interface

### _valuetype

    public java.util.Vector _valuetype

  Value Type

### _sorted_valuetype

    public IdlObject[] _sorted_valuetype

### _valuebox

    public java.util.Vector _valuebox

  Value Box

### _sorted_valuebox

    public IdlObject[] _sorted_valuebox

### _exception

    public java.util.Vector _exception

  Exception

### _sorted_exception

    public IdlObject[] _sorted_exception

### _struct

    public java.util.Vector _struct

  Struct

### _sorted_struct

    public IdlObject[] _sorted_struct

### _union

    public java.util.Vector _union

  Union

### _sorted_union

    public IdlObject[] _sorted_union

### _enum

    public java.util.Vector _enum

  Enum

### _sorted_enum

    public IdlObject[] _sorted_enum

### _typedef

    public java.util.Vector _typedef

  TypeDef

### _sorted_typedef

    public IdlObject[] _sorted_typedef

### _const

    public java.util.Vector _const

  Const

### _sorted_const

    public IdlObject[] _sorted_const

### _native

    public java.util.Vector _native

  Native

### _sorted_native

    public IdlObject[] _sorted_native

### _operation

    public java.util.Vector _operation

  Operation

### _sorted_operation

    public IdlObject[] _sorted_operation

### _attribute

    public java.util.Vector _attribute

  Attribute

### _sorted_attribute

    public IdlObject[] _sorted_attribute

### _member

    public java.util.Vector _member

  Value member

### _sorted_member

    public IdlObject[] _sorted_member

### _factory

    public java.util.Vector _factory

  Factory

### _sorted_factory

    public IdlObject[] _sorted_factory

Constructor Detail

### content

    public content()

  Constructor

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD